<? 
if(empty($_SESSION['backend']['user_id'])) exit;

$REQ[]=array('text', 2, 'link');
$REQ[]=array('text', 2, 'title');
$REQ[]=array('text', 1, 'icon');


function callback() {
	header('Content-type: text/javascript; charset=utf-8');
	global $X;


	if(!empty($_POST['shortcut_id'])) {
		$X->DB->q(' UPDATE _shortcuts SET title="'.$_POST['title'].'", bold="'.$_POST['bold'].'", link="'.$_POST['link'].'", icon="'.$_POST['icon'].'" WHERE id="'.$_POST['shortcut_id'].'" AND user_id="'.$_SESSION['backend']['user_id'].'" ');

		$current_row=$X->DB->fast(' SELECT row_id FROM _shortcuts WHERE id="'.$_POST['shortcut_id'].'" ');
		if($current_row<=6) {
			$icon='images/icons/large/'.$_POST['icon'];
		} else {
			$icon='images/icons/large_preview/'.str_replace('.png','.jpg',$_POST['icon']);
		}

		die('
			$("#shortcut_'.$_POST['shortcut_id'].'")
				.attr("href","'.$_POST['link'].'")
				.find("span.img").html(\'<img src="'.$icon.'" alt="" /><br />'.($_POST['bold']==1 ? '<b>':'').$X->STR->outt($_POST['title']).($_POST['bold']==1 ? '</b>':'').'\');
			$.colorbox.close();
		');
	} else {
		$X->DB->q(' INSERT INTO _shortcuts (user_id,title,bold,link,icon) VALUES ("'.$_SESSION['backend']['user_id'].'","'.$_POST['title'].'","'.$_POST['bold'].'","'.$_POST['link'].'","'.$_POST['icon'].'") ');
		die('
			$.colorbox.setHTML("<br /><br /><b>Skrót został dodany!</b>");
			setTimeout(function(){ $.colorbox.close() }, 1250);
		');
	}
}
?>